# Draw
TKDraw
DrawTrSurf

# DrawTrSurf_Polygon3D Class Reference

Used to display a 3d polygon.
Optional display of nodes.
.

`#include <DrawTrSurf_Polygon3D.hxx>`

Inheritance diagram for DrawTrSurf_Polygon3D:

[legend]

## Public Member Functions

Standard_EXPORT | DrawTrSurf_Polygon3D (const Handle(Poly_Polygon3D)&P)
Standard_EXPORT Handle_Poly_Polygon3D | Polygon3D () const
Standard_EXPORT void | ShowNodes (const Standard_Boolean B)
Standard_EXPORT Standard_Boolean | ShowNodes () const
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. Set as a result the type of the variable. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Poly_Polygon3D | myPolygon3D
Standard_Boolean | myNodes

## Constructor & Destructor Documentation

Standard_EXPORT DrawTrSurf_Polygon3D::DrawTrSurf_Polygon3D | ( | const Handle(Poly_Polygon3D)& | P | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_Draw_Drawable3D DrawTrSurf_Polygon3D::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void DrawTrSurf_Polygon3D::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

virtual Standard_EXPORT void DrawTrSurf_Polygon3D::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT const DrawTrSurf_Polygon3D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT Handle_Poly_Polygon3D DrawTrSurf_Polygon3D::Polygon3D | ( |  | ) | const

Standard_EXPORT Standard_Boolean DrawTrSurf_Polygon3D::ShowNodes | ( |  | ) | const

Standard_EXPORT void DrawTrSurf_Polygon3D::ShowNodes | ( | const Standard_Boolean | B | ) |

virtual Standard_EXPORT void DrawTrSurf_Polygon3D::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

Standard_Boolean DrawTrSurf_Polygon3D::myNodes `[private]`

Handle_Poly_Polygon3D DrawTrSurf_Polygon3D::myPolygon3D `[private]`

The documentation for this class was generated from the following file:

- DrawTrSurf_Polygon3D.hxx